Subject: Re: [PATCH] powerpc/44x: Add hwmon support to Sequoia device tree

From: Wolfgang Grandegger <[email-masked]>
Date: Sat, 06 Sep 2008 17:07:15 +0200

Matthias Fuchs wrote:
> Hi,
> 
> I have chosen "hwmon" because those drivers are placed in the kernel's
> drivers/hwmon subdirectory. "temp" sounds to much like "temporary" for
> me :-)

How about "dtt"? That's what we use in U-Boot for digital temperature
sensors as well.

> We can name it "sensor" - inspired by the lm-sensors projects that 
> takes care of such sensors. Because these type of devices are not always
> used to monitor the whatever hardware  ... sensor could even be better.
> 
> So my favorites are sensor@ or hwmon@.
> 
> Sean, I can take your "adi" instead of "analog" for this special sensor.

"adi" sounds more reasonable, indeed and as the OF software ignores the
vendor field, changing the name should not harm.

Wolfgang.